Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.testing
Class RawPastRegrTest.TestPastContentHandle

    java.lang.Object
      rice.p2p.past.testing.RawPastRegrTest.TestPastContentHandle

All Implemented Interfaces:
  java.io.Serializable, PastContentHandle, RawPastContentHandle

Enclosing class:
  RawPastRegrTest

    protected static class RawPastRegrTest.TestPastContentHandle

extends java.lang.Object
implements RawPastContentHandle

Utility class for past content object handles

See Also:
  Serialized Form

Field Summary
`protected NodeHandle` | `handle`
`protected Id` | `id`
`static short` | `TYPE`

Constructor Summary
`RawPastRegrTest.TestPastContentHandle(InputBuffer buf, Endpoint endpoint)`
`RawPastRegrTest.TestPastContentHandle(Past past, Id id)`

Method Summary
`Id` | `getId()` get the id of the PastContent object associated with this handle
`NodeHandle` | `getNodeHandle()` get the NodeHandle of the Past node on which the object associated with this handle is stored
`short` | `getType()`
`void` | `serialize(OutputBuffer buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### handle

    protected NodeHandle handle

### id

    protected Id id

Constructor Detail

### RawPastRegrTest.TestPastContentHandle

    public RawPastRegrTest.TestPastContentHandle(Past past,
                                                 Id id)

### RawPastRegrTest.TestPastContentHandle

    public RawPastRegrTest.TestPastContentHandle(InputBuffer buf,
                                                 Endpoint endpoint)
                                          throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getId

    public Id getId()

  Description copied from interface: `PastContentHandle`
  get the id of the PastContent object associated with this handle

  Specified by:
    `getId` in interface `PastContentHandle`
  Returns:
    the id

### getNodeHandle

    public NodeHandle getNodeHandle()

  Description copied from interface: `PastContentHandle`
  get the NodeHandle of the Past node on which the object associated with this handle is stored

  Specified by:
    `getNodeHandle` in interface `PastContentHandle`
  Returns:
    the id

### getType

    public short getType()

  Specified by:
    `getType` in interface `RawPastContentHandle`

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawPastContentHandle`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.